Logger (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j
Class Logger

    java.lang.Object
      org.apache.log4j.Category
          org.apache.log4j.Logger

All Implemented Interfaces:
  AppenderAttachable

Direct Known Subclasses:
  NOPLogger, RootCategory, RootLogger

    public class Logger

extends Category

This is the central class in the log4j package. Most logging operations, except configuration, are done through this class.

Since:
  log4j 1.2
Author:
  Ceki Gülcü

Field Summary

Fields inherited from class org.apache.log4j.Category
`additive, level, name, parent, repository, resourceBundle`

Constructor Summary
`protected` | `Logger(String name)`

Method Summary
`static Logger` | `getLogger(Class clazz)` Shorthand for `getLogger(clazz.getName())`.
`static Logger` | `getLogger(String name)` Retrieve a logger named according to the value of the `name` parameter.
`static Logger` | `getLogger(String name, LoggerFactory factory)` Like `getLogger(String)` except that the type of logger instantiated depends on the type returned by the `LoggerFactory.makeNewLoggerInstance(java.lang.String)` method of the `factory` parameter.
`static Logger` | `getRootLogger()` Return the root logger for the current logger repository.
`boolean` | `isTraceEnabled()` Check whether this category is enabled for the TRACE Level.
`void` | `trace(Object message)` Log a message object with the `TRACE` level.
`void` | `trace(Object message, Throwable t)` Log a message object with the `TRACE` level including the stack trace of the `Throwable` `t` passed as parameter.

Methods inherited from class org.apache.log4j.Category
`addAppender, assertLog, callAppenders, debug, debug, error, error, exists, fatal, fatal, forcedLog, getAdditivity, getAllAppenders, getAppender, getChainedPriority, getCurrentCategories, getDefaultHierarchy, getEffectiveLevel, getHierarchy, getInstance, getInstance, getLevel, getLoggerRepository, getName, getParent, getPriority, getResourceBundle, getResourceBundleString, getRoot, info, info, isAttached, isDebugEnabled, isEnabledFor, isInfoEnabled, l7dlog, l7dlog, log, log, log, removeAllAppenders, removeAppender, removeAppender, setAdditivity, setLevel, setPriority, setResourceBundle, shutdown, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Logger

    protected Logger(String name)

Method Detail

### getLogger

    public static Logger getLogger(String name)

  Retrieve a logger named according to the value of the `name` parameter. If the named logger already exists, then the existing instance will be returned. Otherwise, a new instance is created.

  By default, loggers do not have a set level but inherit it from their neareast ancestor with a set level. This is one of the central features of log4j.

  Parameters:
    `name` - The name of the logger to retrieve.

### getLogger

    public static Logger getLogger(Class clazz)

  Shorthand for `getLogger(clazz.getName())`.

  Parameters:
    `clazz` - The name of `clazz` will be used as the name of the logger to retrieve. See `getLogger(String)` for more detailed information.

### getRootLogger

    public static Logger getRootLogger()

  Return the root logger for the current logger repository.

  The `Logger.getName()` method for the root logger always returns string value: "root". However, calling `Logger.getLogger("root")` does not retrieve the root logger but a logger just under root named "root".

  In other words, calling this method is the only way to retrieve the root logger.

### getLogger

    public static Logger getLogger(String name,
                                   LoggerFactory factory)

  Like `getLogger(String)` except that the type of logger instantiated depends on the type returned by the `LoggerFactory.makeNewLoggerInstance(java.lang.String)` method of the `factory` parameter.

  This method is intended to be used by sub-classes.

  Parameters:
    `name` - The name of the logger to retrieve.
    `factory` - A `LoggerFactory` implementation that will actually create a new Instance.
  Since:
    0.8.5

### trace

    public void trace(Object message)

  Log a message object with the `TRACE` level.

  Parameters:
    `message` - the message object to log.
  Since:
    1.2.12
  See Also:
    `for an explanation of the logic applied.`

### trace

    public void trace(Object message,
                      Throwable t)

  Log a message object with the `TRACE` level including the stack trace of the `Throwable` `t` passed as parameter.

  See `Category.debug(Object)` form for more detailed information.

  Parameters:
    `message` - the message object to log.
    `t` - the exception to log, including its stack trace.
  Since:
    1.2.12

### isTraceEnabled

    public boolean isTraceEnabled()

  Check whether this category is enabled for the TRACE Level.

  Returns:
    boolean - `true` if this category is enabled for level TRACE, `false` otherwise.
  Since:
    1.2.12

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.